#!/bin/sh

LCK=/var/lib/dehydrated/restart-sysadmin.lock

DESTS=""
DNAMES=""

. /etc/dehydrated/sysadmin/hook-config.ini


if [ -f $LCK ]; then

	rm $LCK

	if [ -x /usr/local/bin/sys-ssl ]; then
		/usr/local/bin/sys-ssl
	fi
	if [ -x sys-ssl-pureftpd ]; then
		sys-ssl-pureftpd
	fi

	INITSYS=`readlink -f /proc/1/exe`

	if [ "$INITSYS" = "/lib/systemd/systemd" -o "$INITSYS" = "/usr/lib/systemd/systemd" ]; then

		DNLIST=`echo $DNAMES`
		/bin/systemctl restart $DNLIST

	else
		for DNAME in $DNAMES; do
			if [ -x /etc/init.d/$DNAME ]; then
				/etc/init.d/$DNAME restart >/dev/null
			fi
		done
	fi

fi
